Show / Hide Table of Contents

# Class DataManager

This class provides data for Dalamud-internal features, but can also be used by plugins if needed.

##### Inheritance

System.Object
DataManager

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Data

###### Assembly: Dalamud.dll

##### Syntax

    public class DataManager

### Constructors

| Improve this Doc View Source

#### DataManager(ClientLanguage)

##### Declaration

    public DataManager(ClientLanguage language)

##### Parameters

Type | Name | Description
--- | --- | ---
Dalamud.ClientLanguage | language |

### Properties

| Improve this Doc View Source

#### Excel

An Lumina.Excel.ExcelModule object which gives access to any of the game's sheet data.

##### Declaration

    public ExcelModule Excel { get; }

##### Property Value

Type | Description
--- | ---
Lumina.Excel.ExcelModule |

| Improve this Doc View Source

#### IsDataReady

Indicates whether Game Data is ready to be read.

##### Declaration

    public bool IsDataReady { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ServerOpCodes

##### Declaration

    public ReadOnlyDictionary<string, ushort> ServerOpCodes { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.ObjectModel.ReadOnlyDictionary<System.String, System.UInt16> |

### Methods

| Improve this Doc View Source

#### GetExcelSheet<T>()

Get an Lumina.Excel.ExcelSheet<T> with the given Excel sheet row type.

##### Declaration

    public ExcelSheet<T> GetExcelSheet<T>()
        where T : IExcelRow

##### Returns

Type | Description
--- | ---
Lumina.Excel.ExcelSheet<T> | The Lumina.Excel.ExcelSheet<T>, giving access to game rows.

##### Type Parameters

Name | Description
--- | ---
T | The excel sheet type to get.

| Improve this Doc View Source

#### GetFile(String)

Get a Lumina.Data.FileResource with the given path.

##### Declaration

    public FileResource GetFile(string path)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | path | The path inside of the game files.

##### Returns

Type | Description
--- | ---
Lumina.Data.FileResource | The Lumina.Data.FileResource of the file.

| Improve this Doc View Source

#### GetFile<T>(String)

Get a Lumina.Data.FileResource with the given path, of the given type.

##### Declaration

    public T GetFile<T>(string path)
        where T : FileResource

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | path | The path inside of the game files.

##### Returns

Type | Description
--- | ---
T | The Lumina.Data.FileResource of the file.

##### Type Parameters

Name | Description
--- | ---
T | The type of resource

| Improve this Doc View Source

#### Initialize()

##### Declaration

    public Task Initialize()

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |